Lucene search

K
cve[email protected]CVE-2022-39385
HistoryNov 14, 2022 - 9:15 p.m.

CVE-2022-39385

2022-11-1421:15:15
CWE-200
CWE-863
web.nvd.nist.gov
26
4
discourse
open source
discussion platform
cve-2022-39385
vulnerability
security
patch
upgrade
sitesetting.max_invites_per_day

CVSS3

6.5

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

EPSS

0.001

Percentile

27.0%

Discourse is the an open source discussion platform. In some rare cases users redeeming an invitation can be added as a participant to several private message topics that they should not be added to. They are not notified of this, it happens transparently in the background. This issue has been resolved in commit a414520742 and will be included in future releases. Users are advised to upgrade. Users are also advised to set SiteSetting.max_invites_per_day to 0 until the patch is installed.

Affected configurations

Vulners
NVD
Node
discoursediscourseRange2.8.10
OR
discoursediscourseRange2.9.0.beta11
VendorProductVersionCPE
discoursediscourse*cpe:2.3:a:discourse:discourse:*:*:*:*:*:*:*:*
discoursediscourse*cpe:2.3:a:discourse:discourse:*:*:*:*:*:*:*:*

CNA Affected

[
  {
    "vendor": "discourse",
    "product": "discourse",
    "versions": [
      {
        "version": "Stable: <= 2.8.10",
        "status": "affected"
      },
      {
        "version": "Beta: <= 2.9.0.beta11",
        "status": "affected"
      }
    ]
  }
]

Social References

More

CVSS3

6.5

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

EPSS

0.001

Percentile

27.0%

Related for CVE-2022-39385